<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [maxNumNodes](./bitburner.hacknet.maxnumnodes.md)

## Hacknet.maxNumNodes() method

Get the maximum number of hacknet nodes.

**Signature:**

```typescript
maxNumNodes(): number;
```
**Returns:**

number

Maximum number of hacknet nodes.

## Remarks

RAM cost: 0 GB

